using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace JuSNS.Web.home.space
{
    public partial class UserHead_Camera : JuSNS.UI.Page.UserPage
    {
        public static string GetTiShiDivStr = string.Empty;
        protected string HeadImage2 = string.Empty;
        protected void Page_Load(object sender, EventArgs e)
        {
            Response.CacheControl = "no-cache";
            HeadImage2 = "" + this.GetHeadImage(this.UserID, 1);
            string r= Request.QueryString["r"];
            if (r == null || r == "" || Convert.ToInt32(r) != this.UserID)
                PageError("参数传递错误!", "/home");

            SNSToKenCookie["headpic"] = GetHeadPath(UserID);

            if (Page.IsPostBack)
            {
                if (Request.QueryString["f"] != string.Empty && Request.QueryString["f"] != null)
                {
                    GetTiShiDivStr = "<div class=\"tishicss\">您是第一次登陆本系统，请您完善基本资料。以方便未来的朋友认识您！特别是您的头像！</div>";
                }
                else
                {
                    GetTiShiDivStr = string.Empty;
                }
            }
        }
    }
}
